# Configuration

Configuration for the Züs network by default is stored in `network/config.yaml` file of the zbox github [repo](https://github.com/0chain/zboxcli) which we will copy to a new `config.yaml` file in our local system .

#### Configuration File

1. Make a new .zcn folder in the home directory of your system

```
mkdir $HOME/.zcn
```

**Note:** For windows create a folder named .zcn at \``C:\Users\<windows_username>`\`path.\
\
2\. Copy[ config.yaml ](https://github.com/0chain/zboxcli/blob/staging/network/config.yaml)from zboxcli repo to `.zcn` directory

```
cp network/config.yaml $HOME/.zcn/config.yaml
```

3. Open the `config.yaml` file located at `$HOME/.zcn` path of your system.The contents should be similar to the file below.

```
---
block_worker: https://demo.zus.network/dns
signature_scheme: bls0chain
min_submit: 50
min_confirmation: 50
confirmation_chain_length: 3
max_txn_query: 5
query_sleep_time: 5
# # OPTIONAL - Uncomment to use/ Add more if you want
# preferred_blobbers:
#   - http://one.devnet-0chain.net:31051
#   - http://one.devnet-0chain.net:31052
#   - http://one.devnet-0chain.net:31053
```

| Field                       | Description                                                                                    | Value type |
| --------------------------- | ---------------------------------------------------------------------------------------------- | ---------- |
| `block_worker`              | The URL to chain network DNS that provides the lists of miners and sharders                    | string     |
| `signature_scheme`          | The signature scheme used in the network. This would be `bls0chain` for most networks          | string     |
| `min_submit`                | The desired minimum success ratio (in percent) to meet when submitting transactions to miners  | integer    |
| `min_confirmation`          | The desired minimum success ratio (in percent) to meet when verifying transactions on sharders | integer    |
| `confirmation_chain_length` | The desired chain length to meet when verifying transactions                                   | integer    |

Zbox connects to the Züs network using the `block_worker` field. These network details are automatically fetched from the blockWorker's network API. Preferred Blobbers are also present which you can uncomment for using specified storage providers for handling your files.

#### Overriding the Network

Network nodes are automatically discovered using the `block_worker` provided on [config file](https://github.com/0chain/zwalletcli/blob/staging/network/config.yaml).

To override/limit the nodes used on `zbox`, create `~/.zcn/network.yaml` as shown below.

```
cat > ~/.zcn/network.yaml << EOF
miners:
  - http://demo1.zus.network:31201
  - http://demo1.zus.network:31202
  - http://demo1.zus.network:31203
sharders:
  - http://demo1.zus.network:31101
EOF
```

Overriding the nodes can be useful in local chain setup. In some cases, the block worker might return URLs with IP/alias only accessible within the docker network.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zus.network/zus-docs/clis/zboxcli/configuring-the-tool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
